# Interface methods for submodule: ImageKernelOperator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NeighborhoodOperatorProxy as _NeighborhoodOperatorProxy


# Interface methods for class: ImageKernelOperator
class ImageKernelOperatorProxy(_NeighborhoodOperatorProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetImageKernel(self, kernel) -> None:
		""""""
		...

	def GetImageKernel(self):
		""""""
		...

